{% extends "admin_base.html" %}


{% block content %}

    <form role="form"  name="date-picker" method="post" >

            <div class="well">
                <fieldset>
                    <legend>Entity:</legend>
                    <div class="radio">
                        <label class="radio-inline"><input checked type="radio" value="Unit" name="table_name">Units</label>
                    </div>
                     <div class="radio">
                        <label class="radio-inline"><input type="radio" value="Item" name="table_name">Shop Items</label>
                    </div>
                      <div class="radio">
                        <label class="radio-inline"><input type="radio" value="Order" name="table_name">Client orders</label>
                    </div>

                    <div class="radio">
                        <label class="radio-inline"><input type="radio" value="EFTPayment" name="table_name">EFT payments</label>
                    </div>

                                      <div class="radio">
                        <label class="radio-inline"><input type="radio" value="CreditCardPayment" name="table_name">Credit card payments</label>
                    </div>

                                        <div class="radio">
                        <label class="radio-inline"><input type="radio" value="AllPayment" name="table_name">All Payments</label>
                    </div>

                </fieldset>

                <div id="date_range_selector">
                  <fieldset>
          <legend>Dates:</legend>
          Start Date:
          <input required type='date' id="start_date" class="form-control" />
          End Date
          <input  required type='date' id="end_date" class="form-control" />
          
          <br>
        </fieldset>
</div>
<br><br>
          <button  class="btn" id="export-btn">Export</button>

            </div>

          </form>

   





    {% endblock %}

      {% block scripts %}
<script>

  $( document ).ready(function() {
  
    waitForAuth(); 
    $("#date_range_selector").hide()
  });

$('input[type=radio][name=table_name]').change(function() {
  console.log('ff')
    if (this.value == 'Charge') {
        $("#date_range_selector").slideDown()
    } else {
      $("#date_range_selector").slideUp()
    }
    
});


  $(function(){

    var exportBtn = $('#export-btn');

    exportBtn.click(function(event) {
      event.preventDefault();     

              $.ajax(backendHostUrl + '/api/v1/admins/exporter?sd='+$('#start_date').val() +'&ed='+$('#end_date').val() + '&entity='+ $("input[name='table_name']:checked").val() , {
                headers: {
                  'Authorization': 'Bearer ' + userIdToken
                }
              }).then(function(data){
                console.log(data)
                   displayServerMessage(data)
                
            // Iterate over user data to display user's notes from database.
              });

          /* Send note data to backend, storing in database with existing data
          associated with userIdToken */
          console.log('exporter btn pressed')


        });

  });

  function waitForAuth() {
        if(is_auth == false) {//we want it to match
          console.log("fail")
          setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
          return;
        }
        //prePareCheckout();
        console.log("success")
        //real action
      }

    </script>
        {% endblock %}


